Summary:	Notify application module for the Asterisk PBX
Name:		asterisk-app_notify
Version:	1.0
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.mezzo.net/asterisk/app_notify.html
Source0:	http://www.mezzo.net/asterisk/app_notify-%{version}.tar.bz2
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Asterisk Notify is an Asterisk module which can be configured to
send notifications over the network to announce the callers name
and telephone number to a desktop PC.

%prep

%setup -q -n app_notify-%{version}

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make CFLAGS="%{optflags} -pipe  -Wall -D_REENTRANT -D_GNU_SOURCE -fPIC"

gcc %{optflags} -pipe  -Wall -D_REENTRANT -D_GNU_SOURCE -fPIC -o app_notify-client sampleClient.c
gcc %{optflags} -pipe  -Wall -D_REENTRANT -D_GNU_SOURCE -fPIC -o app_notify-server sampleServer.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk
install -d %{buildroot}%{_bindir}/

install -m0755 app_notify.so %{buildroot}%{_libdir}/asterisk/
install -m0755 app_notify-client %{buildroot}%{_bindir}/
install -m0755 app_notify-server %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%attr(0755,root,root) %{_libdir}/asterisk/app_notify.so
%attr(0755,root,root) %{_bindir}/app_notify-client
%attr(0755,root,root) %{_bindir}/app_notify-server

%changelog
* Tue Jun 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.0
- 1.0

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.rc2.1mdk
- initial Mandriva package
